com.sun.messaging.jms.management.server

## Class ConnectionOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.ConnectionOperations

    public class ConnectionOperations
    extends Object

Class containing information on connection attributes.

### Field Summary

Fields
`static String` `DESTROY` Destroy a connection.
`static String` `GET_CONNECTIONS` Get list of connection MBean object names
`static String` `GET_CONSUMER_IDS` Get list of consumer IDs
`static String` `GET_PRODUCER_IDS` Get list of producer IDs
`static String` `GET_SERVICE` Get object names of service MBean
`static String` `GET_TEMP_DESTINATIONS` Get object names of temporary destination MBeans

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESTROY

    public static final String DESTROY

Destroy a connection.

See Also:
  Constant Field Values

#### GET_CONNECTIONS

    public static final String GET_CONNECTIONS

Get list of connection MBean object names

See Also:
  Constant Field Values

#### GET_CONSUMER_IDS

    public static final String GET_CONSUMER_IDS

Get list of consumer IDs

See Also:
  Constant Field Values

#### GET_PRODUCER_IDS

    public static final String GET_PRODUCER_IDS

Get list of producer IDs

See Also:
  Constant Field Values

#### GET_SERVICE

    public static final String GET_SERVICE

Get object names of service MBean

See Also:
  Constant Field Values

#### GET_TEMP_DESTINATIONS

    public static final String GET_TEMP_DESTINATIONS

Get object names of temporary destination MBeans

See Also:
  Constant Field Values